Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 759409 - [TEST] net-misc/ntp-4.2.8_p15 : fails to build with -fno-common or gcc-10
Summary: [TEST] net-misc/ntp-4.2.8_p15 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo's Team for Core System packages
URL: https://bugs.ntp.org/show_bug.cgi?id=...
Whiteboard:
Keywords: TESTFAILURE
Depends on:
Blocks: -fno-common gcc-10-stable
  Show dependency tree
 
Reported: 2020-12-10 21:16 UTC by Toralf Förster
Modified: 2021-01-06 23:23 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,15.85 KB, text/plain)
2020-12-10 21:16 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,124.52 KB, text/plain)
2020-12-10 21:16 UTC, Toralf Förster
Details
environment (environment,93.10 KB, text/plain)
2020-12-10 21:16 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,15.45 KB, application/x-bzip)
2020-12-10 21:16 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,53.79 KB, application/x-bzip)
2020-12-10 21:16 UTC, Toralf Förster
Details
net-misc:ntp-4.2.8_p15:20201210-201249.log (net-misc:ntp-4.2.8_p15:20201210-201249.log,263.00 KB, text/plain)
2020-12-10 21:16 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,46.01 KB, application/x-bzip)
2020-12-10 21:16 UTC, Toralf Förster
Details
tests.tbz2 (tests.tbz2,102.80 KB, application/x-bzip)
2020-12-10 21:16 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-12-10 21:16:34 UTC
libtool: link: x86_64-pc-linux-gnu-gcc -ffunction-sections -fdata-sections -Wall -Wcast-align -Wcast-qual -Wmissing-prototypes -Wpointer-arith -Wshadow -Winit-self -Wstrict-overflow -Wno-strict-prototypes -fPIE -fPIC -fstack-protector-all -O1 -O2 -pipe -march=native -fno-diagnostics-color -falign-functions=32:25:16 -pie -Wl,-z -Wl,relro -Wl,-z -Wl,now -Wl,-O1 -Wl,--defsym=__gentoo_check_ldflags__=0 -o test-log t-log.o run-t-log.o version.o -pthread -Wl,--gc-sections  -Wl,--as-needed ../libsntp.a ../libopts/.libs/libopts.a -levent_pthreads -levent_core ../../libntp/libntp.a -lssl -lcrypto -lresolv -lpthread ../unity/libunity.a -lm -pthread
/usr/lib/gcc/x86_64-pc-linux-gnu/10.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: run-t-log.o:(.bss.progname+0x0): multiple definition of `progname'; t-log.o:(.bss.progname+0x0): first defined here
collect2: error: ld returned 1 exit status

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_systemd-libressl_test-20201207-113004

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-10.2.0 *
Available Python interpreters, in order of preference:
  [1]   python3.9
  [2]   python3.8 (fallback)
  [3]   python3.7 (fallback)
  [4]   python2.7 (fallback)
Available Rust versions:
  [1]   rust-1.48.0 *
The following VMs are available for generation-2:
*)	AdoptOpenJDK 8.272_p10 [openjdk-bin-8]
Available Java Virtual Machines:
  [1]   openjdk-bin-8  system-vm

The Glorious Glasgow Haskell Compilation System, version 8.8.4

  timestamp(s) of HEAD at this tinderbox image:
/var/db/repos/gentoo	Thu Dec 10 08:05:20 PM UTC 2020
/var/db/repos/libressl	Wed Dec  9 02:37:52 PM UTC 2020

emerge -qpvO net-misc/ntp
[ebuild  N    ] net-misc/ntp-4.2.8_p15  USE="ipv6 libressl readline ssl threads -caps -debug -openntpd -parse-clocks -samba (-selinux) -snmp -vim-syntax -zeroconf"
Comment 1 Toralf Förster gentoo-dev 2020-12-10 21:16:35 UTC
this seems to be either still an issue or a similarity to the one reported in bug 708522
Comment 2 Toralf Förster gentoo-dev 2020-12-10 21:16:37 UTC
Created attachment 677728 [details]
emerge-info.txt
Comment 3 Toralf Förster gentoo-dev 2020-12-10 21:16:39 UTC
Created attachment 677731 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2020-12-10 21:16:40 UTC
Created attachment 677734 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2020-12-10 21:16:42 UTC
Created attachment 677737 [details]
etc.portage.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-12-10 21:16:43 UTC
Created attachment 677740 [details]
logs.tbz2
Comment 7 Toralf Förster gentoo-dev 2020-12-10 21:16:45 UTC
Created attachment 677743 [details]
net-misc:ntp-4.2.8_p15:20201210-201249.log
Comment 8 Toralf Förster gentoo-dev 2020-12-10 21:16:46 UTC
Created attachment 677746 [details]
temp.tbz2
Comment 9 Toralf Förster gentoo-dev 2020-12-10 21:16:48 UTC
Created attachment 677749 [details]
tests.tbz2
Comment 10 Andreas K. Hüttel gentoo-dev 2020-12-14 17:01:58 UTC
Upstream has a patch, but the fix is incomplete so far.
Comment 11 Larry the Git Cow gentoo-dev 2021-01-06 23:23:03 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4d9f459c5afd7b7fe9ae0068b4ad655606c3a544

commit 4d9f459c5afd7b7fe9ae0068b4ad655606c3a544
Author:     Andreas K. Huettel <dilfridge@gentoo.org>
AuthorDate: 2021-01-06 23:22:23 +0000
Commit:     Andreas K. Huettel <dilfridge@gentoo.org>
CommitDate: 2021-01-06 23:22:51 +0000

    net-misc/ntp: Fix build with gcc-10
    
    Closes: https://bugs.gentoo.org/759409
    Bug: https://bugs.ntp.org/show_bug.cgi?id=3688
    Package-Manager: Portage-3.0.12, Repoman-3.0.2
    Signed-off-by: Andreas K. Huettel <dilfridge@gentoo.org>

 net-misc/ntp/files/ntp-4.2.8_p15-gcc10.patch | 75 ++++++++++++++++++++++++++++
 net-misc/ntp/ntp-4.2.8_p15.ebuild            |  3 +-
 2 files changed, 77 insertions(+), 1 deletion(-)